Subject: bug#27894: Building Guix fails without '/etc/services'

From: [email-masked] (Ludovic Courtès)
Date: Tue, 01 Aug 2017 12:09:12 +0200

Leo Famulari <[email-masked]> skribis:

> On a system that lacks '/etc/services' (CoreOS), building Guix from
> source fails because getaddrinfo() doesn't know how to proceed:
>
> ERROR: In procedure getaddrinfo: Servname not supported for ai_socktype
>
> I worked around this issue by downloading the binaries by hand with
> curl.

You get the error above when running “make”, which in turn runs
build-aux/download.scm, right?

If so, I think this can be worked around with:

diff --git a/build-aux/download.scm b/build-aux/download.scm
index 8dfa91460..5cb2491dc 100644
--- a/build-aux/download.scm
+++ b/build-aux/download.scm
@@ -31,7 +31,7 @@
              (guix hash))
 
 (define %url-base
-  "http://alpha.gnu.org/gnu/guix/bootstrap"
+  "http://alpha.gnu.org:80/gnu/guix/bootstrap"
 
   ;; Alternately:
   ;;"http://www.fdn.fr/~lcourtes/software/guix/packages"

However, the whole point of /etc/services is so that application writers
don’t have to hard-code port number everywhere.  So I’d be tempted to
say this is not a bug.

WDYT?

Ludo’.